Australia Consumer
3 min
Consumer permission based collected information that is crossed referenced and validated through various third parties.
For Authorization Get Session Token from Authentication page.
Australia Consumer
* Verification Outcome – Returns KYC verification
* Consumer Consent – N/A
* Mandatory Input – Name and DOB
* Verifies – Name, DOB, Address, Phone number and Email
* Returned Data - N/A
POST
https://idu-test.datazoo.com/api/v2/verify
Header Parameters
- AuthorizationstringrequiredDescription
Body Parameters
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- dateOfBirthstringrequiredDescription
- addressElement1stringDescription
- addressElement3stringDescription
- addressElement4stringDescription
- addressElement5stringDescription
- identityVariablesobjectDescription
- phoneNostringDescription
- emailAddressstringDescription
Response
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement4boolean
- addressElement5boolean
- dateOfBirthboolean
- emailAddressboolean
- firstNameboolean
- lastNameboolean
- phoneNoboolean
- returnedDataobjectDescription
- remarksarrayDescription
curl
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMtbVZlMl9KRFhMcnkzaEhQWEN4TyJ9.eyJ1aWQiOiIzMDMiLCJvaWQiOiI2MiIsImlzcyI6Imh0dHBzOi8vZGF0YXpvby10ZXN0LnVzLmF1dGgwLmNvbS8iLCJzdWIiOiJhdXRoMHwzMDMiLCJhdWQiOiJodHRwczovL2t5Yy10ZXN0LmRhdGF6b28uY29tIiwiaWF0IjoxNzQ3MDA2NTEyLCJleHAiOjE3NDcwNDI1MTIsImd0eSI6InBhc3N3b3JkIiwiYXpwIjoiSWxVdURJNTF1QXpuVnE2VGVoRXAyOXBrbEhBSjFtYnkifQ.uQd5cwGUEaAUKSsg_M1ndTX4_pKRBXjxAUx_c7IzhN5oyTnQvmxiBh7tI0P6w0ch9y2ngBeMoZhczsjF_cWaxGVa-SK7cHlGEOSYLUJTWg-ou5vgF4eA0RJt7cCehtLRFvQU3NJ2VsfQbT6vZiNiA5mXNAUTkdowVObSOCJfqKN9QEl-ylJQfKXopOVCquk3zV2V0ixLetTPCl2gOtIt5kMHWKTWsMPnzyMtnEXK--QAbsJPm7KamrO7hDNoh2ZoE5OEpI71tkQqLRLjzxJrUOzB-qql88zoNdTNFQic5R2mXbOG8nuME27GB51osQ6O0qyBiS0KAFpogsCoteZ3yQ' \
--data-raw '{
"countryCode": "AU",
"service": [
"Australia Consumer"
],
"clientReference": "Test_0001",
"firstName": "Datazoo",
"middleName": "",
"lastName": "King",
"dateOfBirth": "1961-11-25",
"addressElement1": "150 Medley Avenue",
"addressElement3": "Liverpool",
"addressElement4": "NSW",
"addressElement5": "2170",
"identityVariables": {
"phoneNo": "0400000019",
"emailAddress": "[email protected]"
}
}'200
{
"countryCode": "Australia",
"clientReference": "Test_0001",
"reportingReference": "DZ-41eb43b7-3c66-4250-9dd5-23d348f283e2",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Australia Consumer": {
"status": 0,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M1",
"nameMatchScore": "1.000",
"addressMatchScore": "1.000",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"addressElement5": true,
"dateOfBirth": true,
"emailAddress": true,
"firstName": true,
"lastName": true,
"phoneNo": true
},
"returnedData": {}
}
},
"remarks": []
}404
{
"message": "Ain't no cake like that."
}
Links
Change History
Added
Last updated - 10 March, 2025